> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ziet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete file

> Remove a file from memory.



## OpenAPI

````yaml api-reference/openapi.json delete /memory/{id}/files/{fileId}
openapi: 3.1.0
info:
  title: Ziet API
  description: >-
    Ziet is a serverless platform for AI agents and applications. Build
    intelligent agents with @Agent and @Action decorators, or serverless APIs
    with @Endpoint and Database. Deploy with a single command—no infrastructure
    to manage.
  license:
    name: MIT
  version: 0.1.0
servers:
  - url: https://api.ziet.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Deployment
    description: Deploy code
  - name: Actions
    description: Discover actions
  - name: Agents
    description: Discover and configure agents
  - name: Endpoints
    description: Discover and invoke endpoints
  - name: Runs
    description: Execute agents
  - name: Memory
    description: Manage run memory
paths:
  /memory/{id}/files/{fileId}:
    delete:
      tags:
        - Memory
      summary: Delete file
      description: Remove a file from memory.
      operationId: deleteFile
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: fileId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: File deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: boolean
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  responses:
    Unauthorized:
      description: Invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: ''Api-Key sk_live_YOUR_KEY'''

````